Get a card.
curl --request GET \
--url 'https://api.hubapi.com/crm/extensions/cards-dev/2026-09/{appId}/{cardId}?hapikey='import requests
url = "https://api.hubapi.com/crm/extensions/cards-dev/2026-09/{appId}/{cardId}?hapikey="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.hubapi.com/crm/extensions/cards-dev/2026-09/{appId}/{cardId}?hapikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"actions": {
"baseUrls": [
"<string>"
]
},
"auditHistory": [
{
"actionType": "CREATE",
"applicationId": 123,
"authSource": "APP",
"changedAt": 123,
"initiatingUserId": 123,
"objectTypeId": 123
}
],
"display": {
"properties": [
{
"dataType": "BOOLEAN",
"label": "<string>",
"name": "<string>",
"options": [
{
"label": "<string>",
"name": "<string>",
"type": "DANGER"
}
]
}
]
},
"fetch": {
"objectTypes": [
{
"name": "companies",
"propertiesToSend": [
"<string>"
]
}
],
"targetUrl": "<string>"
},
"id": "<string>",
"title": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}CRM cards
Get a card.
Returns the definition for a card with the given ID.
GET
/
crm
/
extensions
/
cards-dev
/
2026-09
/
{appId}
/
{cardId}
Get a card.
Supported products
Supported products
Authorizations
Path Parameters
The unique identifier of the app associated with the card. This should be an integer.
The unique identifier of the card to retrieve.
Response
successful operation
Show child attributes
Show child attributes
A list of actions performed on the card, including creation, deletion, and updates.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The unique id of the card.
The top-level title for this card. Displayed to users in the CRM UI.
The date and time when the card was created.
The date and time when the card was last updated.
Last modified on September 9, 2026
Was this page helpful?